ukui-settings-daemon (3.1.0-1.55) v101; urgency=medium

  * BUG号:
  * 需求说明：
  * 其他改动说明：优化触摸类设备的映射机制
  * 其他改动影响域：无 

 -- sunjunhao <sunjunhao@kylinos.cn>  Sat, 07 May 2022 09:45:45 +0800

ukui-settings-daemon (3.1.0-1.54) v101; urgency=medium

  * BUG号:
  	115949 【显示器】快捷键设置亮度为任意值后重启，亮度状态并没有保持
  	116025 【护眼中心】【亮度调节】关闭智能亮度调节后重启机器，ui处显示该功能关闭，但是亮度会自动调节
  	114902 【护眼中心】手动调整亮度后，重启智能调节开关后，亮度会先增加1，然后进行自动调节（必现）
  	115161 【peony】【平板模式】竖屏平板模式下关闭自动旋转，将屏幕变为横屏再变为竖屏，平板桌面显示异常
  	114779 【护眼中心】【usd】短暂遮挡传感器，背光亮度会停留在53/短暂增大亮度，背光亮度会停留在63
  * 需求说明：
  * 其他改动说明：第一屏同等分辨率，优先选取最大的刷新率进行设置。
  * 其他改动影响域：无 

 -- sunjunhao <sunjunhao@kylinos.cn>  Fri, 06 May 2022 16:19:39 +0800

ukui-settings-daemon (3.1.0-1.53) v101; urgency=medium

  * BUG号:
  * 需求说明：
  * 其他改动说明：第一屏同等分辨率，优先选取最大的刷新率进行设置。
  * 其他改动影响域：无 

 -- sunjunhao <sunjunhao@kylinos.cn>  Fri, 06 May 2022 10:22:59 +0800

ukui-settings-daemon (3.1.0-1.52) v101; urgency=medium

  * BUG号:
  * 需求说明：
  * 其他改动说明：移除多余gpiod依赖，主线暂时不上自动背光。
  * 其他改动影响域：无

 -- sunjunhao <sunjunhao@kylinos.cn>  Thu, 05 May 2022 16:53:25 +0800

ukui-settings-daemon (3.1.0-1.51) v101; urgency=medium

  * BUG号:
  * 需求说明：77064 窗管实现一键切换机制（需要kwin配合）
  * 其他改动说明：优化首次运行时获取屏幕参数的时机。
  * 其他改动影响域：无

 -- sunjunhao <sunjunhao@kylinos.cn>  Thu, 05 May 2022 16:38:44 +0800

ukui-settings-daemon (3.1.0-1.50) v101; urgency=medium

  * BUG号：116907 【中移联想】【双屏】【x13 AMD】接入HDMI后，切换扩展屏无响应，仍然显示镜像模式
  *116890 【中移联想】【锁屏】【x13 AMD】 接HDMI 显示器后，锁屏和屏保界面显示异常
  * 需求说明：
  * 其他改动说明：优化编译
  * 其他改动影响域：无

 -- sunjunhao <sunjunhao@kylinos.cn>  Fri, 29 Apr 2022 08:15:15 +0800

ukui-settings-daemon (3.1.0-1.49) v101; urgency=medium

  * BUG号：无
  * 需求说明：79112 动态背光控制功能集成Intel提供的patch，提供接口(需要mv版本的硬件支持)
  * 其他改动说明：优化编译
  * 其他改动影响域：无

 -- sunjunhao <sunjunhao@kylinos.cn>  Tue, 19 Apr 2022 19:00:48 +0800

 
ukui-settings-daemon (3.1.0-1.46) v101; urgency=medium

  * BUG号：114902 【护眼中心】手动调整亮度后，重启智能调节开关后，亮度会先增加1，然后进行自动调节（必现）
  * 114779 【护眼中心】【usd】短暂遮挡传感器，背光亮度会停留在53/短暂增大亮度，背光亮度会停留在63
  * 115161 【peony】【平板模式】竖屏平板模式下关闭自动旋转，将屏幕变为横屏再变为竖屏，平板桌面显示异常
  * 需求说明：
  * 其他改动说明：
  * 其他改动影响域：无
  
 -- sunjunhao <sunjunhao@kylinos.cn>  Fri, 15 Apr 2022 11:36:50 +0800

 
ukui-settings-daemon (3.1.0-1.45) v101; urgency=medium

  * BUG号：无
  * 需求说明：
  * 其他改动说明：删除postinst文件的无效命令
  * 其他改动影响域：无
  
 -- sunjunhao <sunjunhao@kylinos.cn>  Fri, 15 Apr 2022 11:36:50 +0800
 


ukui-settings-daemon (3.1.0-1.44) v101; urgency=medium

  * BUG号：无
  * 需求说明：11534 子 【护眼中心】新增智能自动亮度调节 / 【护眼中心】新增智能自动亮度调节
  * 其他改动说明：无
  * 其他改动影响域：无
 

 -- sunjunhao <sunjunhao@kylinos.cn>  Tue, 29 Mar 2022 13:44:47 +0800

ukui-settings-daemon (3.1.0-1.43) v101; urgency=medium

  * BUG号：无
  * 需求说明：无
  * 其他改动说明：修复dbus提权的安全问题
  * 其他改动影响域：无

 -- sundagao <sundagao@kylinos.cn>  Tue, 08 Mar 2022 10:14:38 +0800

ukui-settings-daemon (3.1.0-1.41) v101; urgency=medium

  * BUG号：无
  * 需求说明：无
  * 其他改动说明：功耗问题
  * 其他改动影响域：无


 -- sundagao <sundagao@kylinos.cn>  Thu, 03 Mar 2022 15:49:00 +0800

ukui-settings-daemon (3.1.0-1.40) v101; urgency=medium

  * BUG号：107432 【快捷键】升级后，快捷键及功能热键全部失效（2/2units）
  * 需求说明：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- sundagao <sundagao@kylinos.cn>  Tue, 22 Feb 2022 13:56:34 +0800

ukui-settings-daemon (3.1.0-1.39) v101; urgency=medium

  * BUG号：107101 【控制面板】【显示器】连接外接显示器，拓展模式下，在平板触控，触摸映射到了拓展屏上（必现）
  * 需求说明：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- sundagao <sundagao@kylinos.cn>  Tue, 22 Feb 2022 13:37:39 +0800

ukui-settings-daemon (3.1.0-1.38) v101; urgency=medium

  * BUG号：106951 【触控笔】连接外显扩展模式下使用触控笔会出现偏移(必现)
  * 需求说明：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- sundagao <sundagao@kylinos.cn>  Mon, 21 Feb 2022 09:17:49 +0800

ukui-settings-daemon (3.1.0-1.37) v101; urgency=medium

  * BUG号：106966 【快捷键】重启后，热键F3\F4\F5\F6\F7无功能（偶现：目前两台机器各出现一次）
  * 需求说明：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- sundagao <sundagao@kylinos.cn>  Sat, 19 Feb 2022 14:45:16 +0800

ukui-settings-daemon (3.1.0-1.36) v101; urgency=medium

  * BUG号：HZ 95808
    【终端】鼠标大小设置中，在移动到终端标题栏大小会变化（主线同样存在）
           106028 【镜像独有】【PTOF】【TM】【旋转】PC模式切换到平板模式开启自动旋转，旋转设备后使用触摸/触控笔概率会出现偏移(2/20 times 2/2 units)
  * 需求说明：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- sundagao <sundagao@kylinos.cn>  Fri, 28 Jan 2022 14:11:44 +0800

ukui-settings-daemon (3.1.0-1.35) v101; urgency=medium

  * BUG号：105291 【显示器】按下win+p后释放p不释放win，接着按下tab键，系统投屏弹窗显示在多任务视图窗口（必现）
           87053 【S】【PTOF】【显示】win+p打开系统投屏选择窗，该选择窗可被拖动，且使用触摸屏点击投屏选择框以外的区域无法将其关闭（必现）
  * 需求说明：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- sundagao <sundagao@kylinos.cn>  Thu, 27 Jan 2022 10:32:01 +0800

ukui-settings-daemon (3.1.0-1.33) v101; urgency=medium

  * BUG号：101919 高 一般【自适应升级】【显示器】多屏显示在自适应升级注销重新登录后，升级前设置的扩展模式变为镜像模式
           101257 中等	一般【显示】【自适应升级】更新升级后显示模块分辨率没有保存
           102186 中等	一般【显示】【自适应升级】更新升级后控制面板-显示-夜间模式没有保存数据

  * 需求说明：无
  * 其他改动说明：触摸屏映射优化
  * 其他改动影响域：触摸映射

 -- sundagao <sundagao@kylinos.cn>  Tue, 18 Jan 2022 09:23:06 +0800

ukui-settings-daemon (3.1.0-1.31) v101; urgency=medium

  * BUG号：HZ 95808
    【终端】鼠标大小设置中，在移动到终端标题栏大小会变化（主线同样存在）
  * 需求说明：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- sundagao <sundagao@kylinos.cn>  Thu, 06 Jan 2022 16:28:11 +0800

ukui-settings-daemon (3.1.0-1.30) v101; urgency=medium

  * BUG号：95487 【触摸】【触摸映射】【控制面板】手动设置触摸映射后重启设备，登录后没有保持之前的映射关系；设置触摸映射后删除配置文件重启设备没有恢复默认自动映射关系(可以使用触摸映射设置回来)(必现)
           95486 【触摸】【触摸映射】【控制面板】自动映射/手动映射后 插拔触摸线/修改分辨率/方向后，触摸落点偏移(可以使用触摸映射设置回来)(必现)
           95485 【触摸】【自动映射】【控制面板】已连接A显示器(A为主屏)B显示器，设置扩展模式，连接B触摸线，在B显示器触摸的映射区域为屏A+屏B的范围(预期：接入的第2块触摸屏对应接入第2块显示器，可以使用触摸映射设置回来)(必现)
  * 需求说明：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- sundagao <sundagao@kylinos.cn>  Tue, 28 Dec 2021 17:39:14 +0800

ukui-settings-daemon (3.1.0-1.29) v101; urgency=medium

  * BUG号：无
  * 需求说明：无
  * 其他改动说明：镜像模式下控制面板切换分辨率，切换另外的显示模式，在切换回来，分辨率没有回复
  * 其他改动影响域：双屏切换配置保存

 -- sundagao <sundagao@kylinos.cn>  Wed, 15 Dec 2021 13:52:59 +0800

ukui-settings-daemon (3.1.0-1.28) v101; urgency=medium


  * BUG号：95487 【触摸】【触摸映射】【控制面板】手动设置触摸映射后重启设备，登录后没有保持之前的映射关系；设置触摸映射后删除配置文件重启设备没有恢复默认自动映射关系(可以使用触摸映射设置回来)(必现)
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- sundagao <sundagao@kylinos.cn>  Mon, 13 Dec 2021 16:32:06 +0800

ukui-settings-daemon (3.1.0-1.27) v101; urgency=medium

  * BUG号：93538 【SP2 UI走查】【OSD】UI待按照设计稿优化，间距尺寸等
  * 需求说明：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- sundagao <sundagao@kylinos.cn>  Tue, 07 Dec 2021 17:16:54 +0800

ukui-settings-daemon (3.1.0-1.26) v101; urgency=medium

  * BUG号：89404 【需求-触摸-7467】【触摸】【显示】控制面板设置旋转方向为 顺/逆时针90度、上下颠倒，旋转方向后触摸偏移(必现)
           93707 【显示】【USD】【必现】存在状态异常的配置文件时，连接1个显示器开机，打开控制面板-显示器，插上4K显示器，USD崩溃，产生core文件
           92571 【触摸板】打开插入鼠标时禁用触摸板，拔掉鼠标后触摸板仍然不可用
  * 需求说明：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- sundagao <sundagao@kylinos.cn>  Mon, 06 Dec 2021 18:45:38 +0800

ukui-settings-daemon (3.1.0-1.25) v101; urgency=medium

  * New upstream release.
  * fix bug#95916 【20.04-pro】【USD】系统缺少kylin-screenshot包时USD无法正常启动，提示段错误

 -- Allen <zouchang@kylinos.cn>  Fri, 10 Dec 2021 16:00:22 +0800

ukui-settings-daemon (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump standards-version to 4.5.0.
    - Use debhelper-compat.
  * debian/copyright:
    - Remove COPYING from copyright.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 24 Feb 2020 11:47:45 +0800

ukui-settings-daemon (1.1.7-2) unstable; urgency=medium

  * Don't set click actions since ukwm take over that.
  * debian/control:
    - Bump standards-version to 4.4.0.
    - Bump compat level to 12.
    - mate-polkit -> ukui-polkit.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 07 Aug 2019 15:22:43 +0800

